Broadcom BCM4313 Support Broken With Kernel 2.6.32-573.7.1.el6.CentOS.plus.x86_64?

Home » CentOS » Broadcom BCM4313 Support Broken With Kernel 2.6.32-573.7.1.el6.CentOS.plus.x86_64?
CentOS 2 Comments

Hello,

I noticed that with latest kernel (2.6.32-573.7.1.el6.CentOS.plus.x86_64), my laptop’s Wifi doesn’t work, whereas with previous kernel
(2.6.32-504.30.3.el6.CentOS.plus.x86_64), it works fine.

Is this a known issue or did I miss something new?

BTW, `lspci` says:
Broadcom Corporation BCM4313 802.11bgn Wireless Network Adapter (rev 01)

Regards,

2 thoughts on - Broadcom BCM4313 Support Broken With Kernel 2.6.32-573.7.1.el6.CentOS.plus.x86_64?

  • On your previous kernel, I believe you built/installed kmod-wl by following this ELRepo article:

    http://elrepo.org/tiki/wl-kmod

    I suggest you do the same with the latest version of the wl driver. As noted in that article, the kmod-wl binary packages built from the same SRPM for the latest EL point releases are now available from the nux-dextop repo.

    Akemi

  • Hello Akemi,

    Sorry for my (very) late reply, but for the sake of the archives I can confirm, rebuilding the kmod-wl RPM did the trick for a recent kernel update (ABI probably broken because of it). The mentioned URL still presents up-to-date information and is valid in order to address this issue.

    Regards,

LEAVE A COMMENT